Skip to main content
POST
/
provisioning-tokens
Create a provisioning token
curl --request POST \
  --url https://acusight.io/api/provisioning-tokens \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Production Line 1",
  "expires_in_days": 30,
  "single_use": false
}
'
{
  "data": {
    "created_at": "2024-01-15T10:30:00Z",
    "expires_at": "2024-02-14T10:30:00Z",
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "Production Line 1",
    "setup_command": "curl -sSL https://api.acusight.io/setup | sudo sh -s -- apt_abc123...",
    "single_use": false,
    "token": "apt_abc123..."
  },
  "error": {
    "code": "<string>",
    "details": "<string>",
    "message": "<string>"
  },
  "meta": {
    "count": 123,
    "limit": 123,
    "offset": 123,
    "total": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Body

application/json

Token configuration

name
string
required
Example:

"Production Line 1"

expires_in_days
integer

optional, default: 30, null for never

Example:

30

single_use
boolean

true = auto-revoke after first provisioning

Example:

false

Response

Token created successfully

data
object
error
object
meta
object
success
boolean